-- 2.2 Spring Backport SOC by Chaobrother
-- Ported to Lua by GenericHeroGuy (to save freeslots)

freeslot(
	"MT_22_YELHORIZ", "SPR_CSYH", "S_22_YELHORIZ1", "S_22_YELHORIZ2", "S_22_YELHORIZ3", "S_22_YELHORIZ4", "S_22_YELHORIZ5", "S_22_YELHORIZ6", "S_22_YELHORIZ7", "S_22_YELHORIZ8",
	"MT_22_BLUHORIZ", "SPR_CSBH", "S_22_BLUHORIZ1", "S_22_BLUHORIZ2", "S_22_BLUHORIZ3", "S_22_BLUHORIZ4", "S_22_BLUHORIZ5", "S_22_BLUHORIZ6", "S_22_BLUHORIZ7", "S_22_BLUHORIZ8",
	"MT_22_REDHORIZ", "SPR_CSRH", "S_22_REDHORIZ1", "S_22_REDHORIZ2", "S_22_REDHORIZ3", "S_22_REDHORIZ4", "S_22_REDHORIZ5", "S_22_REDHORIZ6", "S_22_REDHORIZ7", "S_22_REDHORIZ8",
	"MT_22_YELDIAG", "SPR_CSYD", "S_22_YELDIAG1", "S_22_YELDIAG2", "S_22_YELDIAG3", "S_22_YELDIAG4", "S_22_YELDIAG5", "S_22_YELDIAG6", "S_22_YELDIAG7", "S_22_YELDIAG8",
	"MT_22_BLUDIAG", "SPR_CSBD", "S_22_BLUDIAG1", "S_22_BLUDIAG2", "S_22_BLUDIAG3", "S_22_BLUDIAG4", "S_22_BLUDIAG5", "S_22_BLUDIAG6", "S_22_BLUDIAG7", "S_22_BLUDIAG8",
	"MT_22_REDDIAG", "SPR_CSRD", "S_22_REDDIAG1", "S_22_REDDIAG2", "S_22_REDDIAG3", "S_22_REDDIAG4", "S_22_REDDIAG5", "S_22_REDDIAG6", "S_22_REDDIAG7", "S_22_REDDIAG8",
	"MT_22_YELSPRG", "SPR_CSYV", "S_22_YELSPRG", "S_22_YELSPRG2", "S_22_YELSPRG3", "S_22_YELSPRG4", "S_22_YELSPRG5",
	"MT_22_BLUSPRG", "SPR_CSBV", "S_22_BLUSPRG", "S_22_BLUSPRG2", "S_22_BLUSPRG3", "S_22_BLUSPRG4", "S_22_BLUSPRG5",
	"MT_22_REDSPRG", "SPR_CSRV", "S_22_REDSPRG", "S_22_REDSPRG2", "S_22_REDSPRG3", "S_22_REDSPRG4", "S_22_REDSPRG5"
)

-- Yellow Spring
mobjinfo[MT_22_YELSPRG] = {
	doomednum = 3950,
	spawnstate = S_22_YELSPRG,
	spawnhealth = 1000,
	seestate = S_NULL,
	seesound = sfx_none,
	reactiontime = 0,
	attacksound = sfx_none,
	painstate = S_NULL,
	painchance = 0,
	painsound = sfx_spring,
	meleestate = S_NULL,
	missilestate = S_NULL,
	deathstate = S_NULL,
	xdeathstate = S_NULL,
	deathsound = sfx_none,
	speed = 0,
	radius = 20*FRACUNIT,
	height = 16*FRACUNIT,
	dispoffset = 0,
	mass = 20*FRACUNIT,
	damage = 0,
	activesound = sfx_none,
	flags = MF_SPRING|MF_SOLID,
	raisestate = S_22_YELSPRG2,
}

states[S_22_YELSPRG] = {
	sprite = SPR_CSYV,
	frame = A,
	tics = -1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_NULL,
}

states[S_22_YELSPRG2] = {
	sprite = SPR_CSYV,
	frame = E,
	tics = 4,
	action = A_Pain,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_YELSPRG3,
}

states[S_22_YELSPRG3] = {
	sprite = SPR_CSYV,
	frame = D,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_YELSPRG4,
}

states[S_22_YELSPRG4] = {
	sprite = SPR_CSYV,
	frame = C,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_YELSPRG5,
}

states[S_22_YELSPRG5] = {
	sprite = SPR_CSYV,
	frame = B,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_YELSPRG,
}

-- Yellow D-Spring
mobjinfo[MT_22_YELDIAG] = {
	doomednum = 3953,
	spawnstate = S_22_YELDIAG1,
	spawnhealth = 1,
	seestate = S_NULL,
	seesound = sfx_none,
	reactiontime = 0,
	attacksound = sfx_none,
	painstate = S_NULL,
	painchance = 0,
	painsound = sfx_spring,
	meleestate = S_NULL,
	missilestate = S_NULL,
	deathstate = S_NULL,
	xdeathstate = S_NULL,
	deathsound = sfx_none,
	speed = 0,
	radius = 16*FRACUNIT,
	height = 16*FRACUNIT,
	dispoffset = 0,
	mass = 20*FRACUNIT,
	damage = 20*FRACUNIT,
	activesound = sfx_none,
	flags = MF_SPRING|MF_SOLID,
	raisestate = S_22_YELDIAG2,
}

states[S_22_YELDIAG1] = {
	sprite = SPR_CSYD,
	frame = A,
	tics = -1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_NULL,
}

states[S_22_YELDIAG2] = {
	sprite = SPR_CSYD,
	frame = B,
	tics = 4,
	action = A_Pain,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_YELDIAG3,
}

states[S_22_YELDIAG3] = {
	sprite = SPR_CSYD,
	frame = C,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_YELDIAG4,
}

states[S_22_YELDIAG4] = {
	sprite = SPR_CSYD,
	frame = D,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_YELDIAG5,
}

states[S_22_YELDIAG5] = {
	sprite = SPR_CSYD,
	frame = E,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_YELDIAG6,
}

states[S_22_YELDIAG6] = {
	sprite = SPR_CSYD,
	frame = D,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_YELDIAG7,
}

states[S_22_YELDIAG7] = {
	sprite = SPR_CSYD,
	frame = C,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_YELDIAG8,
}

states[S_22_YELDIAG8] = {
	sprite = SPR_CSYD,
	frame = B,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_YELDIAG1,
}

-- Yellow H-Spring
mobjinfo[MT_22_YELHORIZ] = {
	doomednum = 3956,
	spawnstate = S_22_YELHORIZ1,
	spawnhealth = 1,
	seestate = S_NULL,
	seesound = sfx_none,
	reactiontime = 0,
	attacksound = sfx_none,
	painstate = S_NULL,
	painchance = 0,
	painsound = sfx_spring,
	meleestate = S_NULL,
	missilestate = S_NULL,
	deathstate = S_NULL,
	xdeathstate = S_NULL,
	deathsound = sfx_none,
	speed = 0,
	radius = 16*FRACUNIT,
	height = 32*FRACUNIT,
	dispoffset = 0,
	mass = 0*FRACUNIT,
	damage = 36*FRACUNIT,
	activesound = sfx_none,
	flags = MF_SPRING|MF_NOGRAVITY|MF_SOLID,
	raisestate = S_22_YELHORIZ2,
}

states[S_22_YELHORIZ1] = {
	sprite = SPR_CSYH,
	frame = A,
	tics = -1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_NULL,
}

states[S_22_YELHORIZ2] = {
	sprite = SPR_CSYH,
	frame = B,
	tics = 4,
	action = A_Pain,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_YELHORIZ3,
}

states[S_22_YELHORIZ3] = {
	sprite = SPR_CSYH,
	frame = C,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_YELHORIZ4,
}

states[S_22_YELHORIZ4] = {
	sprite = SPR_CSYH,
	frame = D,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_YELHORIZ5,
}

states[S_22_YELHORIZ5] = {
	sprite = SPR_CSYH,
	frame = E,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_YELHORIZ6,
}

states[S_22_YELHORIZ6] = {
	sprite = SPR_CSYH,
	frame = D,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_YELHORIZ7,
}

states[S_22_YELHORIZ7] = {
	sprite = SPR_CSYH,
	frame = C,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_YELHORIZ8,
}

states[S_22_YELHORIZ8] = {
	sprite = SPR_CSYH,
	frame = B,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_YELHORIZ1,
}

-- Red Spring
mobjinfo[MT_22_REDSPRG] = {
	doomednum = 3951,
	spawnstate = S_22_REDSPRG,
	spawnhealth = 1000,
	seestate = S_NULL,
	seesound = sfx_none,
	reactiontime = 0,
	attacksound = sfx_none,
	painstate = S_NULL,
	painchance = 0,
	painsound = sfx_spring,
	meleestate = S_NULL,
	missilestate = S_NULL,
	deathstate = S_NULL,
	xdeathstate = S_NULL,
	deathsound = sfx_none,
	speed = 0,
	radius = 20*FRACUNIT,
	height = 16*FRACUNIT,
	dispoffset = 0,
	mass = 32*FRACUNIT,
	damage = 0,
	activesound = sfx_none,
	flags = MF_SPRING|MF_SOLID,
	raisestate = S_22_REDSPRG2,
}

states[S_22_REDSPRG] = {
	sprite = SPR_CSRV,
	frame = A,
	tics = -1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_NULL,
}

states[S_22_REDSPRG2] = {
	sprite = SPR_CSRV,
	frame = E,
	tics = 4,
	action = A_Pain,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_REDSPRG3,
}

states[S_22_REDSPRG3] = {
	sprite = SPR_CSRV,
	frame = D,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_REDSPRG4,
}

states[S_22_REDSPRG4] = {
	sprite = SPR_CSRV,
	frame = C,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_REDSPRG5,
}

states[S_22_REDSPRG5] = {
	sprite = SPR_CSRV,
	frame = B,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_REDSPRG,
}

-- Red D-Spring
mobjinfo[MT_22_REDDIAG] = {
	doomednum = 3954,
	spawnstate = S_22_REDDIAG1,
	spawnhealth = 1,
	seestate = S_NULL,
	seesound = sfx_none,
	reactiontime = 0,
	attacksound = sfx_none,
	painstate = S_NULL,
	painchance = 0,
	painsound = sfx_spring,
	meleestate = S_NULL,
	missilestate = S_NULL,
	deathstate = S_NULL,
	xdeathstate = S_NULL,
	deathsound = sfx_none,
	speed = 0,
	radius = 16*FRACUNIT,
	height = 16*FRACUNIT,
	dispoffset = 0,
	mass = 32*FRACUNIT,
	damage = 32*FRACUNIT,
	activesound = sfx_none,
	flags = MF_SPRING|MF_SOLID,
	raisestate = S_22_REDDIAG2,
}

states[S_22_REDDIAG1] = {
	sprite = SPR_CSRD,
	frame = A,
	tics = -1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_NULL,
}

states[S_22_REDDIAG2] = {
	sprite = SPR_CSRD,
	frame = B,
	tics = 4,
	action = A_Pain,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_REDDIAG3,
}

states[S_22_REDDIAG3] = {
	sprite = SPR_CSRD,
	frame = C,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_REDDIAG4,
}

states[S_22_REDDIAG4] = {
	sprite = SPR_CSRD,
	frame = D,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_REDDIAG5,
}

states[S_22_REDDIAG5] = {
	sprite = SPR_CSRD,
	frame = E,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_REDDIAG6,
}

states[S_22_REDDIAG6] = {
	sprite = SPR_CSRD,
	frame = D,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_REDDIAG7,
}

states[S_22_REDDIAG7] = {
	sprite = SPR_CSRD,
	frame = C,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_REDDIAG8,
}

states[S_22_REDDIAG8] = {
	sprite = SPR_CSRD,
	frame = B,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_REDDIAG1,
}

-- Red H-Spring
mobjinfo[MT_22_REDHORIZ] = {
	doomednum = 3957,
	spawnstate = S_22_REDHORIZ1,
	spawnhealth = 1,
	seestate = S_NULL,
	seesound = sfx_none,
	reactiontime = 0,
	attacksound = sfx_none,
	painstate = S_NULL,
	painchance = 0,
	painsound = sfx_spring,
	meleestate = S_NULL,
	missilestate = S_NULL,
	deathstate = S_NULL,
	xdeathstate = S_NULL,
	deathsound = sfx_none,
	speed = 0,
	radius = 16*FRACUNIT,
	height = 32*FRACUNIT,
	dispoffset = 0,
	mass = 0*FRACUNIT,
	damage = 72*FRACUNIT,
	activesound = sfx_none,
	flags = MF_SPRING|MF_NOGRAVITY|MF_SOLID,
	raisestate = S_22_REDHORIZ2,
}

states[S_22_REDHORIZ1] = {
	sprite = SPR_CSRH,
	frame = A,
	tics = -1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_NULL,
}

states[S_22_REDHORIZ2] = {
	sprite = SPR_CSRH,
	frame = B,
	tics = 4,
	action = A_Pain,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_REDHORIZ3,
}

states[S_22_REDHORIZ3] = {
	sprite = SPR_CSRH,
	frame = C,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_REDHORIZ4,
}

states[S_22_REDHORIZ4] = {
	sprite = SPR_CSRH,
	frame = D,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_REDHORIZ5,
}

states[S_22_REDHORIZ5] = {
	sprite = SPR_CSRH,
	frame = E,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_REDHORIZ6,
}

states[S_22_REDHORIZ6] = {
	sprite = SPR_CSRH,
	frame = D,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_REDHORIZ7,
}

states[S_22_REDHORIZ7] = {
	sprite = SPR_CSRH,
	frame = C,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_REDHORIZ8,
}

states[S_22_REDHORIZ8] = {
	sprite = SPR_CSRH,
	frame = B,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_REDHORIZ1,
}

-- Blue Spring
mobjinfo[MT_22_BLUSPRG] = {
	doomednum = 3952,
	spawnstate = S_22_BLUSPRG,
	spawnhealth = 1000,
	seestate = S_NULL,
	seesound = sfx_none,
	reactiontime = 0,
	attacksound = sfx_none,
	painstate = S_NULL,
	painchance = 0,
	painsound = sfx_spring,
	meleestate = S_NULL,
	missilestate = S_NULL,
	deathstate = S_NULL,
	xdeathstate = S_NULL,
	deathsound = sfx_none,
	speed = 0,
	radius = 20*FRACUNIT,
	height = 16*FRACUNIT,
	dispoffset = 0,
	mass = 11*FRACUNIT,
	damage = 0,
	activesound = sfx_none,
	flags = MF_SPRING|MF_SOLID,
	raisestate = S_22_BLUSPRG2,
}

states[S_22_BLUSPRG] = {
	sprite = SPR_CSBV,
	frame = A,
	tics = -1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_NULL,
}

states[S_22_BLUSPRG2] = {
	sprite = SPR_CSBV,
	frame = E,
	tics = 4,
	action = A_Pain,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_BLUSPRG3,
}

states[S_22_BLUSPRG3] = {
	sprite = SPR_CSBV,
	frame = D,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_BLUSPRG4,
}

states[S_22_BLUSPRG4] = {
	sprite = SPR_CSBV,
	frame = C,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_BLUSPRG5,
}

states[S_22_BLUSPRG5] = {
	sprite = SPR_CSBV,
	frame = B,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_BLUSPRG,
}

-- Blue D-Spring
mobjinfo[MT_22_BLUDIAG] = {
	doomednum = 3955,
	spawnstate = S_22_BLUDIAG1,
	spawnhealth = 1,
	seestate = S_NULL,
	seesound = sfx_none,
	reactiontime = 0,
	attacksound = sfx_none,
	painstate = S_NULL,
	painchance = 0,
	painsound = sfx_spring,
	meleestate = S_NULL,
	missilestate = S_NULL,
	deathstate = S_NULL,
	xdeathstate = S_NULL,
	deathsound = sfx_none,
	speed = 0,
	radius = 16*FRACUNIT,
	height = 16*FRACUNIT,
	dispoffset = 0,
	mass = 11*FRACUNIT,
	damage = 11*FRACUNIT,
	activesound = sfx_none,
	flags = MF_SPRING|MF_SOLID,
	raisestate = S_22_BLUDIAG2,
}

states[S_22_BLUDIAG1] = {
	sprite = SPR_CSBD,
	frame = A,
	tics = -1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_NULL,
}

states[S_22_BLUDIAG2] = {
	sprite = SPR_CSBD,
	frame = B,
	tics = 4,
	action = A_Pain,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_BLUDIAG3,
}

states[S_22_BLUDIAG3] = {
	sprite = SPR_CSBD,
	frame = C,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_BLUDIAG4,
}

states[S_22_BLUDIAG4] = {
	sprite = SPR_CSBD,
	frame = D,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_BLUDIAG5,
}

states[S_22_BLUDIAG5] = {
	sprite = SPR_CSBD,
	frame = E,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_BLUDIAG6,
}

states[S_22_BLUDIAG6] = {
	sprite = SPR_CSBD,
	frame = D,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_BLUDIAG7,
}

states[S_22_BLUDIAG7] = {
	sprite = SPR_CSBD,
	frame = C,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_BLUDIAG8,
}

states[S_22_BLUDIAG8] = {
	sprite = SPR_CSBD,
	frame = B,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_BLUDIAG1,
}

-- Blue H-Spring
mobjinfo[MT_22_BLUHORIZ] = {
	doomednum = 3958,
	spawnstate = S_22_BLUHORIZ1,
	spawnhealth = 1,
	seestate = S_NULL,
	seesound = sfx_none,
	reactiontime = 0,
	attacksound = sfx_none,
	painstate = S_NULL,
	painchance = 0,
	painsound = sfx_spring,
	meleestate = S_NULL,
	missilestate = S_NULL,
	deathstate = S_NULL,
	xdeathstate = S_NULL,
	deathsound = sfx_none,
	speed = 0,
	radius = 16*FRACUNIT,
	height = 32*FRACUNIT,
	dispoffset = 0,
	mass = 0*FRACUNIT,
	damage = 11*FRACUNIT,
	activesound = sfx_none,
	flags = MF_SPRING|MF_NOGRAVITY|MF_SOLID,
	raisestate = S_22_BLUHORIZ2,
}

states[S_22_BLUHORIZ1] = {
	sprite = SPR_CSBH,
	frame = A,
	tics = -1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_NULL,
}

states[S_22_BLUHORIZ2] = {
	sprite = SPR_CSBH,
	frame = B,
	tics = 4,
	action = A_Pain,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_BLUHORIZ3,
}

states[S_22_BLUHORIZ3] = {
	sprite = SPR_CSBH,
	frame = C,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_BLUHORIZ4,
}

states[S_22_BLUHORIZ4] = {
	sprite = SPR_CSBH,
	frame = D,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_BLUHORIZ5,
}

states[S_22_BLUHORIZ5] = {
	sprite = SPR_CSBH,
	frame = E,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_BLUHORIZ6,
}

states[S_22_BLUHORIZ6] = {
	sprite = SPR_CSBH,
	frame = D,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_BLUHORIZ7,
}

states[S_22_BLUHORIZ7] = {
	sprite = SPR_CSBH,
	frame = C,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_BLUHORIZ8,
}

states[S_22_BLUHORIZ8] = {
	sprite = SPR_CSBH,
	frame = B,
	tics = 1,
	action = nil,
	var1 = 0,
	var2 = 0,
	nextstate = S_22_BLUHORIZ1,
}
